Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623507 - fix coverity Defect Type: Incorrect expression issues
fix coverity Defect Type: Incorrect expression issues
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.2.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Noriko Hosoi
Chandrasekar Kannan
:
Depends On:
Blocks: 389_1.2.7 639035
  Show dependency treegraph
 
Reported: 2010-08-11 20:19 EDT by Noriko Hosoi
Modified: 2015-01-04 18:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-17 10:08:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
git patch file (master) (1.14 KB, patch)
2010-08-11 20:55 EDT, Noriko Hosoi
nkinder: review+
Details | Diff
git patch file (master) (951 bytes, patch)
2010-08-11 21:02 EDT, Noriko Hosoi
nkinder: review+
Details | Diff

  None (edit)
Description Noriko Hosoi 2010-08-11 20:19:14 EDT
Description of problem:
fix coverity Defect Type: Incorrect expression issues
Comment 1 Noriko Hosoi 2010-08-11 20:55:34 EDT
Created attachment 438320 [details]
git patch file (master)

11957
http://10.16.47.145:8080/sourcebrowser.htm?projectId=10030#mergedDefectId=11957&streamDefectId=12143&defectInstanceId=14008&fileInstanceId=49055

Comment:
be_list is never NULL so there is no need to check for NULL value.
Comment 2 Noriko Hosoi 2010-08-11 21:02:57 EDT
Created attachment 438321 [details]
git patch file (master)

11959
http://10.16.47.145:8080/sourcebrowser.htm?projectId=10030#mergedDefectId=11959&streamDefectId=12145&defectInstanceId=14010&fileInstanceId=49686

Comment:
readonly_attributes is never NULL so it's not necessary to compare
with NULL.
Comment 3 Noriko Hosoi 2010-08-20 18:07:07 EDT
Reviewed by Nathan (Thank you!!)

Pushed to master:

$ git merge coverity
Updating d5b1593..d7c4d9b
Fast-forward
 ldap/servers/slapd/opshared.c |    2 +-
 ldap/servers/slapd/rootdse.c  |    4 ----
 2 files changed, 1 insertions(+), 5 deletions(-)

$ git push
Counting objects: 18, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (12/12), done.
Writing objects: 100% (12/12), 1.18 KiB, done.
Total 12 (delta 9), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   d5b1593..d7c4d9b  master -> master

Note You need to log in before you can comment on or make changes to this bug.